Creates a fuel dispense transaction.

destinationType accepts equipment or location and defaults to equipment when omitted.
Fuel is resolved by the downstream E360 service from source and is not supplied separately.
Hour and odometer readings are optional, but each reading must be supplied with its reading date.
The downstream service validates source and destination semantics and meter-reading business rules.
For help with authorization, see https://developer.hcssapps.com/getting-started/request-tokens

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The fuel dispense to create.

The information required to create a fuel dispense transaction.

uuid
required

The business unit associated with the transaction.

string
required

The code of the fueler or mechanic performing the dispense.

date-time
required

The date and time of the dispense.

string
required

The source container code. The downstream E360 service resolves the fuel from this source.

string
enum

Identifies the kind of destination receiving a fuel dispense.

Allowed:
string
required

The equipment or location code receiving the fuel.

double
required

The quantity dispensed. Must be greater than zero.

int32 | null

An optional hour reading. Must be supplied with hourReadingDate.

date-time | null

The optional hour-reading date. Must be supplied with hourReading.

int32 | null

An optional odometer reading. Must be supplied with odometerReadingDate.

date-time | null

The optional odometer-reading date. Must be supplied with odometerReading.

string | null

Optional notes about the dispense.

Headers
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

400

The request is missing required data, has a non-positive quantity, has an invalid destination type, or has an incomplete reading pair.

404

Endpoint Not Found. This response may occur if the on-premises E360 service does not exist or is not currently running.

Language
Credentials
OAuth2
Missing 2 required scopes
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json